# $Revision: 1.10 $, $Date: 2004/05/06 18:09:33 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Email
%define	pnam	Valid-Loose
Summary:	Email::Valid::Loose - Email::Valid which allows dot before @ mark
Summary(pl):	Email::Valid::Loose - Email::Valid zezwalajcy na kropk przed znakiem @
Name:		perl-Email-Valid-Loose
Version:	0.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5a9893651ffb6af6d37f42caa0f49e03
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Email-Valid
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Email::Valid::Loose is a subclass of Email::Valid, which allows .
(dot) before @ (at-mark). It is invalid in RFC822, but is commonly
used in some of mobile phone addresses in Japan (like docomo.ne.jp or
jp-t.ne.jp).

%description -l pl
Email::Valid::Loose to podklasa Email::Valid zezwalajca na . (kropk)
przed @ (znakiem "at"). Jest to niepoprawne wg RFC822, ale powszechnie
uywane w niektrych adresach telefonw komrkowych w Japonii (na
przykad docomo.ne.jp lub jp-t.ne.jp).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/Email/Valid
%{perl_vendorlib}/Email/Valid/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-Valid-Loose.spec,v $
Revision 1.10  2004/05/06 18:09:33  ankry
- fixed perl-devel BR

Revision 1.9  2004/04/20 23:30:46  ankry
- fixed bconds

Revision 1.8  2004/04/20 10:19:49  ankry
- new bconds

Revision 1.7  2004/04/20 07:35:45  ankry
- license fixes and unification

Revision 1.6  2004/03/06 22:46:54  adamg
- updated to 0.04

Revision 1.5  2004/02/08 08:43:24  misi3k
- updated to 0.0.3

Revision 1.4  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.3  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.2  2003/07/31 21:10:15  qboosh
- pl, missing dir

Revision 1.1  2003/07/25 19:22:52  radek
- new
